Package org.bukkit.scoreboard

# Interface ScoreboardManager

public interface ScoreboardManager
Manager of Scoreboards

## Method Summary

Modifier and Type
Method
Description
`@NotNull Scoreboard`
`getMainScoreboard()`
Gets the primary Scoreboard controlled by the server.
`@NotNull Scoreboard`
`getNewScoreboard()`
Gets a new Scoreboard to be tracked by the server.

## Method Details

### getMainScoreboard

@NotNull @NotNull Scoreboard getMainScoreboard()
Gets the primary Scoreboard controlled by the server.

This Scoreboard is saved by the server, is affected by the /scoreboard command, and is the scoreboard shown by default to players.

Returns:
  the default server scoreboard

### getNewScoreboard

@NotNull @NotNull Scoreboard getNewScoreboard()
Gets a new Scoreboard to be tracked by the server. This scoreboard will be tracked as long as a reference is kept, either by a player or by a plugin.

Returns:
  the registered Scoreboard
See Also:
  - `WeakReference`